%define upstream_name    Devel-PartialDump
%define upstream_version 0.18

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Partial dumping of data structures, optimized for argument
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Tiny)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Moose)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Test::Warn) >= 0.210.0
BuildRequires: perl(Test::use::ok)
BuildRequires: perl(namespace::clean) >= 0.200.0
BuildArch:  noarch

%{?perl_default_filter}

%description
This module is a data dumper optimized for logging of arbitrary parameters.

It attempts to truncate overly verbose data, in a way that is hopefully
more useful for diagnostics warnings than

	warn Dumper(@stuff);

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc Changes META.yml
%{_mandir}/man3/*
%{perl_vendorlib}/Devel


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.180.0-3.mga6
+ Revision: 1025551
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.180.0-2.mga6
+ Revision: 969341
- Mageia 6 Mass Rebuild

* Sun Aug 23 2015 sander85 <sander85> 0.180.0-1.mga6
+ Revision: 868368
- update to 0.18

* Sun Oct 19 2014 umeabot <umeabot> 0.170.0-5.mga5
+ Revision: 789760
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.170.0-4.mga5
+ Revision: 744157
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.170.0-3.mga5
+ Revision: 735585
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.170.0-2.mga5
+ Revision: 684325
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 sander85 <sander85> 0.170.0-1.mga5
+ Revision: 586261
- update to 0.17

* Fri Oct 18 2013 umeabot <umeabot> 0.150.0-3.mga4
+ Revision: 510842
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.150.0-2.mga3
+ Revision: 365791
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 15 2011 jquelin <jquelin> 0.150.0-1.mga2
+ Revision: 106804
- update to 0.15

* Tue Jan 25 2011 jquelin <jquelin> 0.130.0-1.mga1
+ Revision: 38476
- mageia rebuild
- imported package perl-Devel-PartialDump


* Sat Jan 09 2010 Jérôme Quelin <jquelin@mandriva.org> 0.130.0-1mdv2010.1
+ Revision: 488015
- update buildrequires:
- update to 0.13

* Sun Nov 08 2009 Jérôme Quelin <jquelin@mandriva.org> 0.120.0-1mdv2010.1
+ Revision: 463144
- update to 0.12

* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 0.110.0-1mdv2010.1
+ Revision: 461271
- update to 0.11

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.90.0-1mdv2010.0
+ Revision: 403102
- rebuild using %%perl_convert_version

* Wed Jul 01 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.09-1mdv2010.0
+ Revision: 391183
- update to new version 0.09

* Mon May 18 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.08-1mdv2010.0
+ Revision: 377369
- update to new version 0.08

* Sun Mar 08 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.07-1mdv2009.1
+ Revision: 352924
- import perl-Devel-PartialDump


* Sun Mar 08 2009 cpan2dist 0.07-1mdv
- initial mdv release, generated with cpan2dist

